Bug 65558 - Update www/opera-devel to 7.50 Preview 4
Update www/opera-devel to 7.50 Preview 4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: sf
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 09:30 UTC by avleeuwen
Modified: 2004-04-15 12:08 UTC (History)
1 user (show)

See Also:


Attachments
opera-devel.diff (929 bytes, patch)
2004-04-15 09:30 UTC, avleeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description avleeuwen 2004-04-15 09:30:20 UTC

This patch updates the www/opera-devel port to version
7.50 Preview 4 (dated 20040414). 

A changelog can be found here:
http://snapshot.opera.com/unix/7.50-Preview-4/u750p4.html
Comment 1 sf freebsd_committer 2004-04-15 10:51:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sf

I'll handle this.
Comment 2 sf freebsd_committer 2004-04-15 10:56:52 UTC
I found two points.

(1) It seems libpng is linked static so is safe to remove
    LIB_DEPENDS on png. Is this correct?

$ grep -rl libpng /usr/X11R6/share/opera-devel/
$ 

(2) two pixmaps are installed and not listed.

Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/www/opera-devel/pkg-plist,v
retrieving revision 1.16
diff -u -r1.16 pkg-plist
--- pkg-plist	10 Mar 2004 22:03:37 -0000	1.16
+++ pkg-plist	15 Apr 2004 09:44:10 -0000
@@ -1,5 +1,7 @@
 @comment $FreeBSD: ports/www/opera-devel/pkg-plist,v 1.16 2004/03/10 22:03:37 sergei Exp $
 bin/opera-devel
+share/icons/opera.xpm
+share/pixmaps/opera.xpm
 %%DOCSDIR%%/LICENSE
 %%DOCSDIR%%/help
 %%DATADIR%%/bin/missingsyms.so
@@ -133,6 +135,8 @@
 %%GNOMELNK%%share/gnome/apps/Internet/opera-devel.desktop
 %%GNOME%%share/gnome/pixmaps/opera.xpm
 %%KDE2%%@dirrm share/applnk/Networking/WWW
+@unexec rmdir %D/share/pixmaps 2>/dev/null || true
+@unexec rmdir %D/share/icons 2>/dev/null || true
 @cwd /etc/X11
 wmconfig/opera-devel
 %%APPLNK%%applnk/Internet/opera-devel.desktop


Otherwise it looks fine.
Comment 3 avleeuwen 2004-04-15 11:25:31 UTC
On Thursday 15 April 2004 11:56, FUJISHIMA Satsuki wrote:
> I found two points.
>
> (1) It seems libpng is linked static so is safe to remove
>     LIB_DEPENDS on png. Is this correct?


Yes.

>
> $ grep -rl libpng /usr/X11R6/share/opera-devel/
> $
>
> (2) two pixmaps are installed and not listed.


I've created a new patch (to the original port) here:
http://www.piwebs.com/freebsd/opera-devel.diff

It removes the LIB_DEPENDS, and I removed the part from the install script 
that installs these pixmaps; they're already installed anyway, and I see no 
reason to have them hanging around in those directories. Same for the desktop 
entry in /etc/X11.

Best regards,

Arjan
Comment 4 sf freebsd_committer 2004-04-15 12:08:05 UTC
State Changed
From-To: open->closed

new patch committed, thanks.